CREATE TABLE previous_application (
        "SK_ID_PREV" DECIMAL PRIMARY KEY,
        "SK_ID_CURR" DECIMAL REFERENCES application_train_test("SK_ID_CURR"),
        "NAME_CONTRACT_TYPE" VARCHAR NOT NULL,
        "AMT_ANNUITY" DECIMAL,
        "AMT_APPLICATION" DECIMAL NOT NULL,
        "AMT_CREDIT" DECIMAL,
        "AMT_DOWN_PAYMENT" DECIMAL,
        "AMT_GOODS_PRICE" DECIMAL,
        "WEEKDAY_APPR_PROCESS_START" DATE NOT NULL,
        "HOUR_APPR_PROCESS_START" DECIMAL NOT NULL,
        "FLAG_LAST_APPL_PER_CONTRACT" BOOLEAN NOT NULL,
        "NFLAG_LAST_APPL_IN_DAY" BOOLEAN NOT NULL,
        "RATE_DOWN_PAYMENT" DECIMAL,
        "RATE_INTEREST_PRIMARY" DECIMAL,
        "RATE_INTEREST_PRIVILEGED" DECIMAL,
        "NAME_CASH_LOAN_PURPOSE" VARCHAR NOT NULL,
        "NAME_CONTRACT_STATUS" VARCHAR NOT NULL,
        "DAYS_DECISION" DECIMAL NOT NULL,
        "NAME_PAYMENT_TYPE" VARCHAR NOT NULL,
        "CODE_REJECT_REASON" VARCHAR NOT NULL,
        "NAME_TYPE_SUITE" VARCHAR,
        "NAME_CLIENT_TYPE" VARCHAR NOT NULL,
        "NAME_GOODS_CATEGORY" VARCHAR NOT NULL,
        "NAME_PORTFOLIO" VARCHAR NOT NULL,
        "NAME_PRODUCT_TYPE" VARCHAR NOT NULL,
        "CHANNEL_TYPE" VARCHAR NOT NULL,
        "SELLERPLACE_AREA" DECIMAL NOT NULL,
        "NAME_SELLER_INDUSTRY" VARCHAR NOT NULL,
        "CNT_PAYMENT" DECIMAL,
        "NAME_YIELD_GROUP" VARCHAR NOT NULL,
        "PRODUCT_COMBINATION" VARCHAR,
        "DAYS_FIRST_DRAWING" DECIMAL,
        "DAYS_FIRST_DUE" DECIMAL,
        "DAYS_LAST_DUE_1ST_VERSION" DECIMAL,
        "DAYS_LAST_DUE" DECIMAL,
        "DAYS_TERMINATION" DECIMAL,
        "NFLAG_INSURED_ON_APPROVAL" BOOLEAN NOT NULL
);